aboutsummaryrefslogtreecommitdiff
path: root/bin/jfcd
diff options
context:
space:
mode:
Diffstat (limited to 'bin/jfcd')
-rwxr-xr-xbin/jfcd4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/jfcd b/bin/jfcd
index 63fd185c..87b669fd 100755
--- a/bin/jfcd
+++ b/bin/jfcd
@@ -18,8 +18,8 @@ inw() {
logger --tag "$self"
}
-# Drectory to check is first and only argument; move into it
-cd -- "${1:?}" || exit
+# Directory to check is first and only argument; defaults to current directory
+cd -- "${1:-.}" || exit
# Run a while loop over inotifywait(1) calls, running jfc(1) on the working
# directory